package com.sheep.gamegroup.view.fragment;

import com.sheep.gamegroup.model.entity.BaseMessage;
import com.sheep.gamegroup.model.entity.WithdrawalEty;
import com.sheep.jiuyan.samllsheep.SheepApp;

import java.util.List;

import io.reactivex.Observable;

/**
 * 我的资产 --> 提现记录
 * Created by realicing on 2018/5/9.
 * realicing@sina.com
 */
public class FgtMyMoney2 extends AbsFgtMyMoney {

    @Override
    protected List<WithdrawalEty> getDatas(BaseMessage baseMessage) {
        return baseMessage.getDatas(WithdrawalEty.class);
    }

    @Override
    protected Observable<BaseMessage> initObservable(int page, int per_page) {
        return SheepApp.getInstance().getNetComponent().getApiService().goWithdrawal(page, per_page,"",System.currentTimeMillis()+"");
    }
}
